//
//  FirstViewController.m
//  UI19_消息通知
//
//  Created by YIem on 16/3/7.
//  Copyright © 2016年 YIem. All rights reserved.
//

#import "FirstViewController.h"
#import "SecondViewController.h"
@interface FirstViewController ()

@end

@implementation FirstViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.view.backgroundColor = [UIColor greenColor];
    
    UIButton *button = [UIButton buttonWithType:UIButtonTypeSystem];
    button.frame = CGRectMake(100, 100, 100, 50);
    [button setTitle:@"下一页" forState:UIControlStateNormal];
    [button addTarget:self action:@selector(buttonAction) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:button];
    UIButton *button1 = [UIButton buttonWithType:UIButtonTypeSystem];
    button1.frame = CGRectMake(200, 100, 100, 50);
    [button1 setTitle:@"上一页" forState:UIControlStateNormal];
    [button1 addTarget:self action:@selector(button1Action) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:button1];

    
    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(notificationAction) name:@"YIem" object:nil];
    
}
- (void)notificationAction
{
    self.view.backgroundColor = [UIColor blackColor];
}

 -(void)button1Action
{
    [self dismissViewControllerAnimated:YES completion:nil];
}

- (void)buttonAction
{
    SecondViewController *secondVC = [[SecondViewController alloc] init];
    [self presentViewController: secondVC animated:YES completion:nil];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
