//
//  ViewController.m
//  UI19_消息通知
//
//  Created by YIem on 16/3/7.
//  Copyright © 2016年 YIem. All rights reserved.
//

#import "ViewController.h"
#import "FirstViewController.h"
#import "SecondViewController.h"
@interface ViewController ()

@end

@implementation ViewController

- (void)dealloc
{
    // 移除消息
    [[NSNotificationCenter defaultCenter] removeObserver:self name:@"YIem" object:nil];
    [super dealloc];
    
}
- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    self.view.backgroundColor = [UIColor orangeColor];
    
    
    
    UIButton *button = [UIButton buttonWithType:UIButtonTypeSystem];
    button.frame = CGRectMake(100, 100, 100, 50);
    [button setTitle:@"下一页" forState:UIControlStateNormal];
    [button addTarget:self action:@selector(buttonAction) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:button];
    
    
    
#pragma - 信息中心
    // 消息中心
    // 注册消息
    // 参数1: 消息处理方法所在的空间
    // 参数2: 接收消息后的处理方法
    // 参数3: 暗号
    // 参数4: 注册消息可设置nil
    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(notificationAction) name:@"YIem" object:nil];
    
    // 有参数的消息通知
    // 注册消息 - 区别:处理方法有参(:)
    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(notification1Action:) name:@"小蘑菇" object:nil];
    
}
// 有参数
- (void)notification1Action:(id)sender
{
    // 传递的参数再sender的object中
    self.view.backgroundColor = (UIColor *)[sender object];
}
// 无参数
- (void)notificationAction
{
    self.view.backgroundColor = [UIColor redColor];
}
- (void)buttonAction
{
    FirstViewController *filstVC = [[FirstViewController alloc] init];
    [self presentViewController: filstVC animated:YES completion:nil];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
